# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.422   -> 1.423  
#	drivers/usb/stv680.c	1.3     -> 1.4    
#	 drivers/usb/se401.c	1.5     -> 1.6    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/04/18	tony@cantech.net.au	1.423
# [PATCH] Change "return EBLAH" to "return -EBLAH in drivers/*
# 
# Hello All,
# 	This is a simple patch that changes several "return EBLAH"'s in drivers/*
# for "return -EBLAH".  I have done my best to check the call stack to ensure
# that the change in sign of the return values wont break anything.
# 
# The patch supplied is agaist linux-2.4.19-pre6
# --------------------------------------------
#
diff -Nru a/drivers/usb/se401.c b/drivers/usb/se401.c
--- a/drivers/usb/se401.c	Thu Apr 18 13:54:01 2002
+++ b/drivers/usb/se401.c	Thu Apr 18 13:54:01 2002
@@ -646,7 +646,7 @@
 	for (i=0; i<SE401_NUMSBUF; i++) {
 		urb=usb_alloc_urb(0);
 		if(!urb)
-			return ENOMEM;
+			return -ENOMEM;
 
 		FILL_BULK_URB(urb, se401->dev,
 			usb_rcvbulkpipe(se401->dev, SE401_VIDEO_ENDPOINT),
diff -Nru a/drivers/usb/stv680.c b/drivers/usb/stv680.c
--- a/drivers/usb/stv680.c	Thu Apr 18 13:54:01 2002
+++ b/drivers/usb/stv680.c	Thu Apr 18 13:54:01 2002
@@ -806,7 +806,7 @@
 	for (i = 0; i < STV680_NUMSBUF; i++) {
 		urb = usb_alloc_urb (0);
 		if (!urb)
-			return ENOMEM;
+			return -ENOMEM;
 
 		/* sbuf is urb->transfer_buffer, later gets memcpyed to scratch */
 		usb_fill_bulk_urb (urb, stv680->udev,
